# AuthenticationIdentifierTransposer

This gem provides Rack Middleware transposing the authenticated identifier for Soar SC

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'authentication_identifier_transposer'
```

And then execute:
```bash
bundle
```

Or install it yourself as:
```bash
gem install authentication_identifier_transposer
```

## Testing

Run the rspec test tests using docker compose:

```bash
export UID
docker-compose build --force-rm --no-cache
docker-compose down
docker-compose run --rm tests
docker-compose down
```

## Usage

### RackMiddleware

```ruby
  use AuthenticationIdentifierTransposer::RackMiddleware
```

This middleware will perform the simple action of looking for the authenticated identifier in the HTTP header 'X-GATEWAY-AUTHENTICATED-IDENTIFIER' and copy that to the request.session['user'] and request.env['REMOTE_USER'] request variables where SoarAuthentication can pick it up from.

## Contributing

Bug reports and feature requests are welcome by email to barney dot de dot villiers at hetzner dot co dot za. This gem is sponsored by Hetzner (Pty) Ltd (http://hetzner.co.za)


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
