# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'authentication_identifier_transposer/version'


Gem::Specification.new do |spec|
  spec.name          = "authentication_identifier_transposer"
  spec.version       = AuthenticationIdentifierTransposer::VERSION
  spec.authors       = ["Barney de Villiers"]
  spec.email         = ["barney.de.villiers@hetzner.co.za"]
  spec.description   = %q{Rack Middleware transposing the authenticated identifier for Soar SC}
  spec.summary       = %q{Rack Middleware transposing the authenticated identifier into something that is Soar SC friendly, this is to be used only when a Soar SC component is behind a gateway handling authentication.}
  spec.homepage      = "https://gitlab.host-h.net/hetznerZA/authentication-identifier-transposer-rack-middleware"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "rack", '>= 1.6.4', '< 3.0.0'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 2.13'
  spec.add_development_dependency "capybara", '~> 2.1', '>= 2.1.0'
  spec.add_development_dependency "simplecov", '~> 0'
  spec.add_development_dependency "simplecov-rcov", '~> 0'
end
